---

- name: create mount points
  file:
    path: "{{ item.value.mount }}"
    state: directory
    mode: 0755
  with_dict: gluster

- name: create glusterfs mount hosts file entries
  lineinfile:
    state: present
    dest: /etc/fstab
    insertafter: EOF
    regexp: '^#?{{ item.value.host }}'
    line: '{{ item.value.host }} {{ item.value.mount }} glusterfs direct-io-mode=disable,defaults,_netdev 0 0'
  with_dict: gluster

- name: remove glusterfs mount hosts file entries
  lineinfile:
    state: absent
    dest: /etc/fstab
    insertafter: EOF
    regexp: '^#?{{ item.value.host }}'
    line: '{{ item.value.host }} {{ item.value.mount }} glusterfs direct-io-mode=disable,defaults,_netdev 0 0'
  with_dict: gluster_remove
